# 4.X项目初始化
- - -
### 项目分支说明
`4.X` 主分支 4.X版本 稳定发布分支<br>
`fast` 单体分支 功能与主分支相同 结构为单模块<br>
`dev` 开发分支 代码随时更新 不推荐使用 经测试后会发布到主分支<br>
`future/*` 新功能预览分支<br>

### 项目必备环境
> 推荐使用 `docker` 安装 项目内置 `docker` 编排文件
* oracle jdk 8 11 (暂时不支持 17 不支持大于 jdk8_202 因为202是最后一个免费版本)
* mysql 5.7 8.0 (5.6未适配可能会有问题)
* oracle 11g 12c
* postgres 13 14
* sqlserver 2017 2019
* redis 5.X 6.X 由于框架大量使用了redis特性 版本必须 >= 5.X ([win redis 下载地址](https://github.com/tporadowski/redis))
* minio 本地文件存储 或 阿里云 腾讯云 七牛云等一切支持S3协议的云存储
* maven 3.6.3 3.8.X
* nodejs >= 12 < 18
* npm 6.X 8.X (7.X确认有问题)

### 3.2.0及以上 只需勾选对应环境即可
![输入图片说明](https://foruda.gitee.com/images/1678976284045210056/a2f28d33_1766278.png "屏幕截图")

### 默认 `JDK1.8` 如有变动 需更改以下配置

![输入图片说明](https://foruda.gitee.com/images/1681017282888708602/09da902f_1766278.png "屏幕截图")
![输入图片说明](https://foruda.gitee.com/images/1681017287160367631/3a033268_1766278.png "屏幕截图")
![输入图片说明](https://foruda.gitee.com/images/1681017292933832275/0bdf875e_1766278.png "屏幕截图")

### sql导入

请按照以下顺序依次导入

![输入图片说明](https://foruda.gitee.com/images/1681017239000759855/ad43a5b2_1766278.png "屏幕截图")

默认为 `mysql` 其他数据库需导入对应的sql文件

![输入图片说明](https://foruda.gitee.com/images/1681017245687923510/1b444bc4_1766278.png "屏幕截图")

**多数据库仅支持主应用 扩展应用需自行适配(例如: xxl-job仅支持mysql)**

### 服务启动顺序说明

1. 必须启动基础建设: mysql redis admin<br>
2. 可选启动基础建设: minio(影响文件上传) monitor(影响监控) xxljob(影响定时任务)<br>

![输入图片说明](https://foruda.gitee.com/images/1678976302776168895/7333341c_1766278.png "屏幕截图")

* `MonitorAdminApplication` 为 Admin监控服务(非必要 可参考对应文档关闭)
* `XxlJobAdminApplication` 为 任务调度中心服务(非必要 可参考对应文档关闭)
* `RuoYiApplication` 为 主应用服务
> 需优先启动 `MonitorAdminApplication` 与 `XxlJobAdminApplication` 具体配置方式参考对应文档
> 最后启动 主服务 `RuoYiApplication`

### 主服务配置方式

在勾选对应环境的配置文件内 填写 mysql 与 redis 配置信息

![输入图片说明](https://foruda.gitee.com/images/1678941357316005626/70559736_1766278.png "屏幕截图")
![输入图片说明](https://foruda.gitee.com/images/1681017185596156350/d4607b5b_1766278.png "屏幕截图")

其他数据库配置 按照系统自带的配置更改即可

![输入图片说明](https://foruda.gitee.com/images/1678941444707120259/b274592a_1766278.png "屏幕截图")


